0

I tried to update my Subversion Client und Squeeze with 1.7. Therefore I extended the "/etc/apt/sources.list" with

deb http://opensource.wandisco.com/debian/ squeeze svn17

Downloaded their key from http://opensource.wandisco.com/wandisco-debian.gpg and added it to "apt-key".

But if i run now "apt-get update" I get some connection errors:

Get:1 http://opensource.wandisco.com squeeze Release.gpg [197 B]
Err http://opensource.wandisco.com/debian/ squeeze/svn17 Translation-en
  Connection failed
Err http://opensource.wandisco.com/debian/ squeeze/svn17 Translation-en_US
  Connection failed
Get:2 http://opensource.wandisco.com squeeze Release [2,693 B]
Ign http://opensource.wandisco.com squeeze/svn17 amd64 Packages
Err http://opensource.wandisco.com squeeze/svn17 amd64 Packages
  Connection failed
Fetched 2,890 B in 2s (1,269 B/s)
W: Failed to fetch http://opensource.wandisco.com/debian/dists/squeeze/svn17/i18n/Translation-en.bz2      Connection failed

W: Failed to fetch http://opensource.wandisco.com/debian/dists/squeeze/svn17/i18n/Translation-en_US.bz2  Connection failed

W: Failed to fetch http://opensource.wandisco.com/debian/dists/squeeze/svn17/binary-amd64/Packages.gz  Connection failed

E: Some index files failed to download, they have been ignored, or old ones used instead.

As expected the database did not get any update and I can't upgrade the SVN client.

If I manually surf to http://opensource.wandisco.com/debian/dists/squeeze/svn17 everything seems to be in place.

Why is the update failing?

1

This simple steps made it:


root@squeeze:~# wget -O - http://opensource.wandisco.com/wandisco-debian.gpg | apt-key add -
root@squeeze:~# apt-key list
pub   1024D/3BBF077A 2010-02-18
uid                  WANdisco (http://WANdisco.com - We Make Software Happen...) 
sub   2048g/955DA6AA 2010-02-18
root@squeeze:~# aptitude update && aptitude install subversion
root@squeeze:~# svn --version
svn, version 1.7.9 (r1462340)
   compiled Apr 25 2013, 14:44:34

Copyright (C) 2013 The Apache Software Foundation.
This software consists of contributions made by many people; see the NOTICE
file for more information.
Subversion is open source software, see http://subversion.apache.org/

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
  - handles 'http' scheme
  - handles 'https' scheme
* ra_svn : Module for accessing a repository using the svn network protocol.
  - with Cyrus SASL authentication
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme

So, Works For Me (TM).

  • I did exactly this, and end up by the aptitude update with the same problem. :( – Tobias May 19 '13 at 9:58
  • No proxy is defined. Even when I try to get the files from my client pc it's not working, because there is no i18n folder, which is expected. – Tobias May 22 '13 at 7:09
  • Yes the update has no errors. – Tobias May 22 '13 at 7:21
  • subversion is already installed in version 1.6: aptitude install subversion No packages will be installed, upgraded, or removed. 0 packages upgraded, 0 newly installed, 0 to remove and 16 not upgraded. Need to get 0 B of archives. After unpacking 0 B will be used. – Tobias May 22 '13 at 7:58
  • the update also seems to have problems: Get:1 opensource.wandisco.com squeeze Release.gpg [197 B] Err opensource.wandisco.com/debian squeeze/svn17 Translation-en Connection failed Err opensource.wandisco.com/debian squeeze/svn17 Translation-en_US Connection failed Get:2 opensource.wandisco.com squeeze Release [2,693 B] Ign opensource.wandisco.com squeeze/svn17 amd64 Packages Err opensource.wandisco.com squeeze/svn17 amd64 Packages Connection failed – Tobias May 24 '13 at 14:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.